Bug 453072 - netatalk should use dbd cnid by default
netatalk should use dbd cnid by default
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-27 00:38 EDT by Adam Goode
Modified: 2014-11-09 17:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-15 05:10:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2008-06-27 00:38:29 EDT
Description of problem:
Netatalk is compiled with the cdb CNID scheme by default. If afpd crashes (or
the server reboots unexpectedly), this can corrupt the database rendering the
volume inaccessible.

The --with-cnid-default-backend=dbd should be passed to configure, to avoid this

From http://netatalk.sourceforge.net/2.0/htmldocs/upgrade.html#choosecnidscheme
it says:

cdb: database can only become corrupted if an afpd daemon crashes unexpectedly,
is killed by the administrator or the whole machine crashes

dbd: This design combined with the transactional updates makes the CNID database
crashproof: Any of the participating afpd daemons, the database daemon itself or
the whole machine can crash and the CNID database should still be in a
consistent state.

Version-Release number of selected component (if applicable):
Comment 1 Jiri Skala 2009-01-15 05:10:14 EST
Hi, this is done. Please, do inform me about your experience with the modification. Then I'll apply it to upper releases.

Note You need to log in before you can comment on or make changes to this bug.